<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('cms_pages', function (Blueprint $table) {
            $table->id();
            $table->string('title'); // 'About Us', 'Privacy Policy', 'Terms and Conditions'
            $table->text('content')->nullable(); // Content for the page
            $table->text('content_ar')->nullable(); // Content for the page
            $table->enum('status', ['Draft', 'Published', 'Scheduled'])->default('Draft'); // Status of the page
            $table->timestamps(); // Created and Updated timestamps
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cms_pages');
    }
};
